API DocumentationManufacturer customer organisation controller

Add metadata to a customer organisation

POST
/api/manufacturer/v1/organisation/{organisationId}/metadata

Adds a new metadata entry (key/value pair) to a customer organisation. Keys must be unique per organisation.

Authorization

Phasio API Bearer Token
AuthorizationBearer <token>

In: header

Path Parameters

organisationId*integer

ID of the organisation to add metadata to

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/manufacturer/v1/organisation/1/metadata" \  -H "Content-Type: application/json" \  -d '{    "metadataKey": "string",    "value": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "metadataKey": "string",  "value": "string"}
Empty

Last updated on